Bug 159690 - gnome-panel-screenshot cannot capture expanded menus
gnome-panel-screenshot cannot capture expanded menus
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-panel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-06 21:35 EDT by Brian Long
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 10:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Long 2005-06-06 21:35:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Red Hat/1.0.3-1.4.1 Firefox/1.0.3

Description of problem:
While trying to debug a menu problem with a coworker, I wanted to send him a screenshot of my dropped-down Applications menu.  When I browsed the menu and hit Print Screen, gnome-panel-screenshot did not work.

Version-Release number of selected component (if applicable):
gnome-panel-2.8.1-3.3E

How reproducible:
Always

Steps to Reproduce:
1. Select Applications menu.
2. Select any sub-menu.
3. Hit Print-Screen
  

Actual Results:  Nothing

Expected Results:  gnome-panel-screenshot pops up a dialog asking where to save the .PNG screen shot.

Additional info:

I had to start gimp and use its screen-capture to grab my menus.  Print Screen / gnome-panel-screenshot should be fixed to work in this scenario.
Comment 1 Mark McLoughlin 2005-06-08 10:22:09 EDT
Yeah, this is a known issue upstream:

  http://bugzilla.gnome.org/show_bug.cgi?id=144907

The problem is with the way X keyboard grabs work. When then main menu is open,
the panel is the only one that gets notified of key presses. However, the window
manager is actually the one responsible for running the screenshot utility when
the printscreen key is pressed. So, because the panel has the keyboard grabbed,
the window manager never sees the key press.

The way we'll probably fix this is by adding a hack to the panel to make the
panel itself notice the printscreen key press when the menu is open and have the
panel run the screenshot utility. That will only work for the main menu, though,
and not for other menus e.g. individual applications' menus or the context menu
on the desktop background.

I'm going to close this bug as UPSTREAM, since its a known issue upstream and is
much more likely to get fixed upstream than directly in RHEL4. Even if we
already had a patch for the problem, we probably wouldn't be able to get it into
RHEL4 as its a fairly low priority problem and the patch could quite possibly
introduce other bugs.


In terms of a workaround, probably the easiest thing to do is to run
gnome-panel-screenshot --delay=5 and then open the main menu and wait until the
screenshot is taken.

Thanks

Note You need to log in before you can comment on or make changes to this bug.